#include <stdio.h>

#define NCIFRE 32
#define SUCCESS 0
#define ERROR 1


int main(){
	int a=0;
	int base=2;
	int i=0;
	char cifre[NCIFRE];
	/* Inizializzazione */
	for(i=0; i<NCIFRE; i++)
		cifre[i]='*';

	printf("Inserire un numero: ");
	scanf("%d", &a);
	printf("Inserire la base: ");
	scanf("%d", &base);

	/* Calcolo della conversione in base "base" */
	i=0;
	while(a!=0) {
		int cifra=a%base;
		if (i>=NCIFRE) {
			printf("Numero di cifre eccessivo (%d)!\n",i);
			return ERROR;
		}
		if (cifra<10) {
			cifre[i]='0'+cifra;
			printf("%d", cifra);
		} else {
			cifre[i]='a'+cifra-10;
			printf("%c", cifra-10+'a');
		} 
		a=a/base;
		i++;
	}
	printf("\n");
	for(i--; i>=0; i--)
		printf("%c", cifre[i]);
	printf("\n");
	return SUCCESS;
}
